Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Sep 2022 14:19:47 +0200

Damien Cassou <[email-masked]> writes:

> Anyway, I found a way to always have it working:
>
> 1. create a file emacs-compose-email.sh that starts emacsclient
> 2. add the executable bit to the file
> 3. reference the shell script from emacsclient-mail.desktop
>
> See below for the script and .desktop file. Another advantage of this
> approach is that the desktop file becomes much simpler with much less
> backslashes.
>
> My question is: do you want a patch with this change?

I'd prefer to have a .desktop file that works without any helper
scripts.   Can't the emacsclient-mail.desktop file be rewritten to not
use quoting here?